summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--batman-adv/Makefile2
-rwxr-xr-xbatman-adv/files/lib/netifd/proto/batadv_vlan.sh10
2 files changed, 7 insertions, 5 deletions
diff --git a/batman-adv/Makefile b/batman-adv/Makefile
index af901a1..9e63106 100644
--- a/batman-adv/Makefile
+++ b/batman-adv/Makefile
@@ -4,7 +4,7 @@ include $(TOPDIR)/rules.mk
PKG_NAME:=batman-adv
PKG_VERSION:=2026.0
-PKG_RELEASE:=1
+PKG_RELEASE:=2
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
PKG_SOURCE_URL:=https://downloads.open-mesh.org/batman/releases/batman-adv-$(PKG_VERSION)
diff --git a/batman-adv/files/lib/netifd/proto/batadv_vlan.sh b/batman-adv/files/lib/netifd/proto/batadv_vlan.sh
index 5b0c76f..4a8bce7 100755
--- a/batman-adv/files/lib/netifd/proto/batadv_vlan.sh
+++ b/batman-adv/files/lib/netifd/proto/batadv_vlan.sh
@@ -1,8 +1,10 @@
#!/bin/sh
-. /lib/functions.sh
-. ../netifd-proto.sh
-init_proto "$@"
+[ -n "$INCLUDE_ONLY" ] || {
+ . /lib/functions.sh
+ . ../netifd-proto.sh
+ init_proto "$@"
+}
proto_batadv_vlan_init_config() {
proto_config_add_boolean 'ap_isolation:bool'
@@ -17,7 +19,7 @@ proto_batadv_vlan_setup() {
json_get_vars ap_isolation
- [ -n "$ap_isolation" ] && batctl vlan "$iface" ap_isolation "$ap_isolation"
+ batctl vlan "$iface" ap_isolation "${ap_isolation:-0}"
proto_init_update "$iface" 1
proto_send_update "$config"
}